Holger's Java API

## com.antelmann.sql
Class LikeCondition

    java.lang.Object
      com.antelmann.sql.LikeCondition

All Implemented Interfaces:
  SQLConstraint, Serializable

    public class LikeCondition

extends Object
implements SQLConstraint

represents a 'like' condition as can be present in a restriction map in methods of a ConnectionHelper for a text column in a database. The condition is deemed to be met when at least one of the given Strings is found.

Since:
  29. November 2006, 18:29
Author:
  Holger Antelmann
See Also:
  `ConnectionHelper`, Serialized Form

Field Summary

Fields inherited from interface com.antelmann.sql.SQLConstraint
`IS_NULL, NOT_NULL`

Constructor Summary
`LikeCondition(String... likeStrings)` there must be at least one String present

Method Summary
`boolean` `equals(Object obj)`
`String[]` `getLikeStrings()` returns a copy of the embedded 'likeStrings'
`int` `hashCode()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LikeCondition

    public LikeCondition(String... likeStrings)

  there must be at least one String present

Method Detail

### getLikeStrings

    public String[] getLikeStrings()

  returns a copy of the embedded 'likeStrings'

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads